tt_spec_bprop_add(library call)

NAME
tt_spec_bprop_add — add a new byte-string to the end of the list of values

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_spec_bprop_add(
const char *objid,
const char *propname,
const unsigned char *value,
int length);

DESCRIPTION

The tt_spec_bprop_add function adds a new byte-string to the end of the list of values associated with the specified spec property.

The objid argument is the identifier of the object involved in this operation. The propname argument is the name of the property to which the byte-string is to be added. The value argument is the byte-string to be added to the property value list. The length argument is the length in bytes of the byte-string.

RETURN VALUE

Upon successful completion, the tt_spec_bprop_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_PROPLEN
    The specified property value is too long. (The maximum size is implementation specific, but is at least 64.)

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).